Subscribe

UiPath Installation and Upgrade

The UiPath Installation and Upgrade Guide

Hardware and Software Requirements

Hardware Requirements

MinimumRecommended
CPU2 x 1.8GHz 32-bit (x86)4 x 2.4GHz 64-bit (x64)
RAM4 GB8 GB

You can also check out hardware requirements for Studio and Orchestrator.

📘

Note:

The hardware requirements presented are thought for UiPath products to work on computers with no additional load. In the event where complex automations are run (e.g. automations that have to sort large amounts of data in a table or database), more computing power can be needed.

Software Requirements

Supported VersionsParticularities
Operating SystemWindows 8.1Microsoft Visual C++ 2015 Redistributable Update 3 (required for GIT source control functionality)
Microsoft Visual C++ Redistributable for Visual Studio 2015, 2017 and 2019 (required for SVN source control)
Windows 8.1 N
Windows 10Microsoft Visual C++ Redistributable for Visual Studio 2015, 2017 and 2019 (required for SVN source control)
Windows 10 N
Windows Server 2012 R2
Windows Server 2016
Windows Server 2019
Microsoft Azure Windows 10 Enterprise Multi-Session
Citrix environmentsXenApp v6.5 or greater
XenDesktop v7.0 or greater
.NET FrameworkVersion 4.6 or greaterIf your machine runs Windows OS in a language other than English, install the corresponding language pack for the .Net framework version you are using.
This is required for running Studio in any of the available languages. The .Net framework and related language pack version must correspond, and any conflicting .Net framework versions installed on the machine should be removed.
Web Browsers (for browser automation)Internet Explorer v8.0 or greater
Google Chrome version 64 or greaterAutomated with the extension for Chrome or the Webdriver protocol.
Mozilla Firefox version 52.0 or greaterAutomated with the extension for Firefox or the Webdriver protocol.
Microsoft Edge on Windows 10 version 1803 or greaterAutomated with the extension for Edge.
Microsoft Office (for projects created in the StudioX profile)Office: 2010For Office 2010, you must also install Visual Studio 2010 Tools for Office Runtime version 10.0.50325 or greater.
Office: 2013
Office: 2016
Office: 2019
Office 365

Updated 9 months ago


Hardware and Software Requirements


Suggested Edits are limited on API Reference Pages

You can only suggest edits to Markdown body content, but not to the API spec.